Kodi Community Forum
Release skin helper service - Printable Version

Kodi Community Forum (https://forum.kodi.tv)
+-- Forum: Development (https://forum.kodi.tv/forumdisplay.php?fid=32)
+--- Forum: Skinning (https://forum.kodi.tv/forumdisplay.php?fid=12)
+---- Forum: Skin helper addons (https://forum.kodi.tv/forumdisplay.php?fid=300)
---- Thread: Release skin helper service (/showthread.php?tid=235676)



RE: skin helper service - spl147 - 2021-02-20

(2021-02-20, 22:32)Angelinas Wrote: https://mirrors.kodi.tv/addons/matrix/script.module.kodi-six/
https://mirrors.kodi.tv/addons/matrix/script.module.simplejson/
https://mirrors.kodi.tv/addons/matrix/script.module.requests/
https://mirrors.kodi.tv/addons/matrix/script.module.beautifulsoup4/
https://mirrors.kodi.tv/addons/matrix/script.module.arrow/

-SHS Module unpack from zip and in Kodi innstall from zip Link-----Download
          script.module.cherrypy.zip
          script.module.musicbrainz.zip
          script.module.simplecache.zip
          script.module.thetvdb.zip

This two download from 
script.skin.helper.service.zip            Link-------github.com
script.module.metadatautils.zip    Link------github.com

For now just install from zip....in next days I will upload all needing module on Marcel repo, for "Install addon Automatically"....for Matrix

im pretty sure he wants to know when ALL dependencies will be in the official repo so he can update the OSMC skin and OSMC can release Matrix!


RE: skin helper service - Angelinas - 2021-02-20

(2021-02-20, 22:38)spl147 Wrote:
(2021-02-20, 22:32)Angelinas Wrote: https://mirrors.kodi.tv/addons/matrix/script.module.kodi-six/
https://mirrors.kodi.tv/addons/matrix/script.module.simplejson/
https://mirrors.kodi.tv/addons/matrix/script.module.requests/
https://mirrors.kodi.tv/addons/matrix/script.module.beautifulsoup4/
https://mirrors.kodi.tv/addons/matrix/script.module.arrow/

-SHS Module unpack from zip and in Kodi innstall from zip Link-----Download
          script.module.cherrypy.zip
          script.module.musicbrainz.zip
          script.module.simplecache.zip
          script.module.thetvdb.zip

This two download from 
script.skin.helper.service.zip            Link-------github.com
script.module.metadatautils.zip    Link------github.com

For now just install from zip....in next days I will upload all needing module on Marcel repo, for "Install addon Automatically"....for Matrix

im pretty sure he wants to know when ALL dependencies will be in the official repo so he can update the OSMC skin and OSMC can release Matrix!
I need to asq Kodi Team How can I upload all mine changes.All wrights for this module and script have only Marcel.
I will asq Marcel too....I only have permition to write in git hub as team member.
If you install Marcel repo, that will work for you-all....but that is Unofficial (Third-Party/Developers Repos)
https://github.com/kodi-community-addons/repository.marcelveldt/tree/master/repository.marcelveldt

I also fixed-changed all for Py3....Matrix, I don't want awards, just want to user continue to use their favorite script....

script.skin.helper.skinbackup
script.skin.helper.widgets
script.skin.helper.backgrounds
script.tv.show.next.aired

script.module.youtube.dl
script.module.kodi65
script.extendedinfo

script.colorbox
script.aeon.tools


skin helper service - spl147 - 2021-02-20

Submit pull requests against the respective repos


RE: skin helper service - Maxi - 2021-02-21

@Angelinas 

I've tried to install from your latest zip files, but skin.helper.service-master seems to require cherrypy ver 17

Code:
   <import addon="script.module.cherrypy" version="17.0.0"/>
              </requires> 

And the CheryPy that is delivered on the zip files is version 11.0.1

Code:
<addon id="script.module.cherrypy"
             name="CherryPy Kodi module"
             version="11.0.1"
             provider-name="marcelveldt, CherryPy Team">

Is that a typo on the imports (should be 11.0.1 instead of 17.0.0) or am I download the wrong files?

Thanks !!!


RE: skin helper service - Maxi - 2021-02-21

(edited... wrong issue reported :-)

Hi @Angelinas 

I am also having an issue with skin.helper.BACKGROUNDS from your files

When I install it, it reports an error (not a dependency error)

Checking the logs I can see

CAddonMgr::FindAddon: script.skin.helper.backgrounds v1.0.33

Error Type: <class 'NameError'>
Error Contents: name 'traceback' is not defined
Traceback (most recent call last):
                File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/resources/lib/wallimages.py", line 24, in <module>
                from PIL import Image
                ModuleNotFoundError: No module named 'PIL'
                                                   
                During handling of the above exception, another exception occurred:
                                                   
                                                   Traceback (most recent call last):
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/service.py", line 9, in <module>
                                                       from resources.lib.backgrounds_updater import BackgroundsUpdater
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/resources/lib/backgrounds_updater.py", line 25, in <module>
                                                       from .wallimages import WallImages
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/resources/lib/wallimages.py", line 29, in <module>
                                                       log_exception(__name__, exc)
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/resources/lib/utils.py", line 28, in log_exception
                                                       lines = traceback.format_exception(exc_type, exc_value, exc_traceback)
                                                   NameError: name 'traceback' is not defined
                                                   -->End of Python script error report<--
                                                   
2021-02-20 18:04:38.250 T:23232    INFO <general>: Python interpreter stopped



Thanks a lot for all your efforts. I hope your work moves quickly to an official repo

Kr

Max


RE: skin helper service - Angelinas - 2021-02-21

@Maxi 
I don't have Matrix Android, I can't made test....OK, this is first test and looking good Smile

- ModuleNotFoundError: No module named 'PIL..... I was thinking that is part of Kodi....need to dig more

- NameError: name 'traceback' is not defined
In Windows worrking PIL ,I don't have that 'traceback'  error.I will add in utils.py "import traceback" in row 10.That will fix isue with log_exception.


RE: skin helper service - Maxi - 2021-02-21

(2021-02-21, 13:55)Angelinas Wrote: @Maxi 
I don't have Matrix Android, I can't made test....OK, this is first test and looking good Smile

- ModuleNotFoundError: No module named 'PIL..... I was thinking that is part of Kodi....need to dig more

- NameError: name 'traceback' is not defined
In Windows worrking PIL ,I don't have that 'traceback'  error.I will add in utils.py "import traceback" in row 10.That will fix isue with log_exception.

Hi @Angelinas 

What about the other error? (CherryPy Ver 17 vs Ver 11)  Is there really a CherryPy 17.0.0 and I am using the wrong files or is that a typo?

Thanks !!!

Max


RE: skin helper service - Maxi - 2021-02-21

(2021-02-21, 13:55)Angelinas Wrote: @Maxi 
I don't have Matrix Android, I can't made test....OK, this is first test and looking good Smile

- ModuleNotFoundError: No module named 'PIL..... I was thinking that is part of Kodi....need to dig more

- NameError: name 'traceback' is not defined
In Windows worrking PIL ,I don't have that 'traceback'  error.I will add in utils.py "import traceback" in row 10.That will fix isue with log_exception.

Hi @Angelinas 

Seems to be a problem of Python 2 vs 3... (and maybe you still have some Python 2 on your system). I saw multiple comments in Internet stating:

" The original library is PIL, which was for Python 2.
Pillow is a fork of PIL and is the current, actively maintained project, which is also compatible with Python 3.
PIL is abandoned and should never be used. "


Sorry that I can not help you with the code... I need to learn Python first :-) My last coding attempt was 20 years ago with C (not even C++)

Kr

Max


RE: skin helper service - Angelinas - 2021-02-21

(2021-02-21, 03:40)Maxi Wrote: @Angelinas 

I've tried to install from your latest zip files, but skin.helper.service-master seems to require cherrypy ver 17

Code:
   <import addon="script.module.cherrypy" version="17.0.0"/>
              </requires> 

And the CheryPy that is delivered on the zip files is version 11.0.1

Code:
<addon id="script.module.cherrypy"
             name="CherryPy Kodi module"
             version="11.0.1"
             provider-name="marcelveldt, CherryPy Team">

Is that a typo on the imports (should be 11.0.1 instead of 17.0.0) or am I download the wrong files?

Thanks !!!
I need to set for <Py3 for Leia ion github, but iin zip file for Matrix ...
Code:
<requires>
        <import addon="xbmc.python" version="3.0.0"/>
        <import addon="xbmc.addon" version="12.0.0"/>
        <import addon="script.module.simplejson" version="3.17.0"/>
        <import addon="script.module.simplecache" version="2.0.2"/>
        <import addon="script.module.metadatautils" version="1.0.38"/>
        <import addon="script.module.cherrypy" version="11.0.1"/>
    </requires>



RE: skin helper service - Angelinas - 2021-02-24

Bump to Matrix all Module and script on https://github.com/kodi-community-addons....
Please use Github for isue


RE: skin helper service - djhifi - 2021-02-25

Just migrated to Kodi 19 and updated all addons that were showing up as updatable and as soon as I start KODI, there's an error in skin helper service.
From the logs, I found this:
Quote:2021-02-25 01:15:40.037 T:1583    ERROR <general>: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
                                                    - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
                                                   Error Type: <class 'ModuleNotFoundError'>
                                                   Error Contents: No module named 'cherrypy'
                                                   Traceback (most recent call last):
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.service/service.py", line 10, in <module>
                                                       from resources.lib.main_service import MainService
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.service/resources/lib/main_service.py", line 15, in <module>
                                                       from resources.lib.webservice import WebService
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.service/resources/lib/webservice.py", line 12, in <module>
                                                       import cherrypy
                                                   ModuleNotFoundError: No module named 'cherrypy'
                                                   -->End of Python script error report<--
                                                   
2021-02-25 01:15:40.190 T:1583     INFO <general>: Python interpreter stopped
Do I need to check for "cherrypy" ?


RE: skin helper service - Wanilton - 2021-02-25

@djhifi 

You need to install cherrypy module.

https://github.com/kodi-community-addons/script.module.cherrypy


RE: skin helper service - djhifi - 2021-02-25

(2021-02-25, 04:01)Wanilton Wrote: @djhifi 

You need to install cherrypy module.

https://github.com/kodi-community-addons/script.module.cherrypy

Hey! Long time no see! Hope you're doing well.
Yes, I'm aware, I was just asking because usually it install the scripts/services it needs. Are they simply not yet available on the repository? I have cherrypy on that machine, but probably an older version and the new one is not yet in the repo?

On another machine, Skin Helper Service doesn't even install because it says it needs cherrypy, beautifulsoup, thetvdb and musicbrainz but i also have them there.

I just downloaded the mega .zip file Angelinas posted and the cherry from github (since this one seems to have the correct version and the one from the mega.zip doesnt?)


RE: skin helper service - djhifi - 2021-02-25

@Angelinas  Installed everything in your mega .zip (cherry.py I downloaded from the github since it's version 12 and zip is not) and skin helper backgrounds is throwing the following error in the log:
Quote:2021-02-25 04:15:44.036 T:6504    ERROR <general>: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
                                                    - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
                                                   Error Type: <class 'NameError'>
                                                   Error Contents: name 'traceback' is not defined
                                                   Traceback (most recent call last):
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/resources/lib/wallimages.py", line 24, in <module>
                                                       from PIL import Image
                                                   ModuleNotFoundError: No module named 'PIL'
                                                   
                                                   During handling of the above exception, another exception occurred:
                                                   
                                                   Traceback (most recent call last):
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/service.py", line 9, in <module>
                                                       from resources.lib.backgrounds_updater import BackgroundsUpdater
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/resources/lib/backgrounds_updater.py", line 25, in <module>
                                                       from .wallimages import WallImages
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/resources/lib/wallimages.py", line 29, in <module>
                                                       log_exception(__name__, exc)
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/resources/lib/utils.py", line 28, in log_exception
                                                       lines = traceback.format_exception(exc_type, exc_value, exc_traceback)
                                                   NameError: name 'traceback' is not defined
                                                   -->End of Python script error report<--



RE: skin helper service - Maxi - 2021-02-26

(2021-02-25, 06:19)djhifi Wrote: @Angelinas  Installed everything in your mega .zip (cherry.py I downloaded from the github since it's version 12 and zip is not) and skin helper backgrounds is throwing the following error in the log:
Quote:2021-02-25 04:15:44.036 T:6504    ERROR <general>: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
                                                    - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
                                                   Error Type: <class 'NameError'>
                                                   Error Contents: name 'traceback' is not defined
                                                   Traceback (most recent call last):
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/resources/lib/wallimages.py", line 24, in <module>
                                                       from PIL import Image
                                                   ModuleNotFoundError: No module named 'PIL'
                                                   
                                                   During handling of the above exception, another exception occurred:
                                                   
                                                   Traceback (most recent call last):
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/service.py", line 9, in <module>
                                                       from resources.lib.backgrounds_updater import BackgroundsUpdater
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/resources/lib/backgrounds_updater.py", line 25, in <module>
                                                       from .wallimages import WallImages
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/resources/lib/wallimages.py", line 29, in <module>
                                                       log_exception(__name__, exc)
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/resources/lib/utils.py", line 28, in log_exception
                                                       lines = traceback.format_exception(exc_type, exc_value, exc_traceback)
                                                   NameError: name 'traceback' is not defined
                                                   -->End of Python script error report<--

Yeap, same error I reported some da back

PIL is a Python 2 module/library. It has to be replaced with PILLOW

See here: https://pillow.readthedocs.io/en/stable/about.html

And Wikipedia:
Development appears to be discontinued, with the last commit to the PIL repository coming in 2011.[2] Consequently, a successor project called Pillow has forked the PIL repository and added Python 3.x support.[4] This fork has been adopted as a replacement for the original PIL in Linux distributions including Debian[5] and Ubuntu (since 13.04).[6]


This forum uses Lukasz Tkacz MyBB addons.